You are here: Home / Getting PIPS / Building and Installing PIPS on Ubuntu Linux

Building and Installing PIPS on Ubuntu Linux

Specific instructions for getting and installing PIPS on a Ubuntu Linux system

The general build instructions apply here, but Step 1 becomes much simpler thanks to the Ubuntu package system.

Step1: Install required dependencies:

All required dependencies are available as Ubuntu binary packages.

  • Ubuntu 11.04 (“Natty Narwhal”):
$ sudo apt-get install subversion cproto flex bison texlive-fonts-recommended \ 
texlive-latex-extra tex4ht emacs23 openjdk-6-jdk gfortran indent libreadline5-dev
  • Ubuntu 9.10 (“Karmic Koala”):
$ sudo apt-get install subversion cproto flex bison texlive-fonts-recommended \ 
texlive-latex-extra tex4ht emacs23 sun-java6-jdk gfortran indent libreadline5-dev
  • Ubuntu 9.04 (“Jaunty Jackalope“):
$ sudo apt-get install subversion cproto flex bison texlive-latex-extra \
tex4ht emacs22 sun-java6-jdk gfortran g77 indent libreadline5-dev
  • Ubuntu 8.10 (“Intrepid Ibex“):
$ sudo apt-get install subversion cproto flex bison texlive-latex-extra \
tex4ht emacs22 sun-java6-jdk gfortran g77 indent libreadline5-dev
  • Ubuntu 8.04 LTS (“Hardy Heron”):
$ sudo apt-get install subversion cproto flex bison texlive-latex-extra \
tex4ht emacs22 sun-java6-jdk gfortran g77 indent libreadline5-dev

Note: Ubuntu 8.04 provides Subversion 1.4, not 1.5. To be able to take advantage of the enhanced merge tracking features of Subversion 1.5, we recommend that you upgrade your Subversion installation using backport packages.

Steps 2 to 6:

 

Please refer to the general build instructions.

Document Actions

Filed under: ,
« April 2017 »
April
MoTuWeThFrSaSu
12
3456789
10111213141516
17181920212223
24252627282930